import 'package:flutter/material.dart';
import 'package:flut/flut/runtime.dart';

class FlutOutlinedButton {
  FlutOutlinedButton._();

  static Widget? flutDecode(FlutRuntime runtime, Map<String, dynamic> data) {
    return OutlinedButton(
      key: runtime.decodeKey(data),
      onPressed: runtime.unpackNullableRequiredCallback(data, 'onPressedId'),
      onLongPress: runtime.unpackOptionalCallback(data, 'onLongPressId'),
      child: runtime.unpackNullableRequiredField<Widget>(data, 'child'),
    );
  }
}
